
package ucp.ws;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>Java class for ucpElement complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="ucpElement">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="complexity" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="hours" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="hoursPerUc" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="hoursSW" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="id" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="idParent" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="name" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="schneiderwinters" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="subCasesHours" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="subCasesHoursSW" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="subUCP" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *         &lt;element name="subUUCP" type="{http://www.w3.org/2001/XMLSchema}int"/>
 *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="ucp" type="{http://www.w3.org/2001/XMLSchema}double"/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "ucpElement", propOrder = {
    "complexity",
    "hours",
    "hoursPerUc",
    "hoursSW",
    "id",
    "idParent",
    "name",
    "schneiderwinters",
    "subCasesHours",
    "subCasesHoursSW",
    "subUCP",
    "subUUCP",
    "type",
    "ucp"
})
public class UcpElement {

    protected int complexity;
    protected double hours;
    protected double hoursPerUc;
    protected double hoursSW;
    protected String id;
    protected String idParent;
    protected String name;
    protected double schneiderwinters;
    protected double subCasesHours;
    protected double subCasesHoursSW;
    protected double subUCP;
    protected int subUUCP;
    protected String type;
    protected double ucp;

    /**
     * Gets the value of the complexity property.
     * 
     */
    public int getComplexity() {
        return complexity;
    }

    /**
     * Sets the value of the complexity property.
     * 
     */
    public void setComplexity(int value) {
        this.complexity = value;
    }

    /**
     * Gets the value of the hours property.
     * 
     */
    public double getHours() {
        return hours;
    }

    /**
     * Sets the value of the hours property.
     * 
     */
    public void setHours(double value) {
        this.hours = value;
    }

    /**
     * Gets the value of the hoursPerUc property.
     * 
     */
    public double getHoursPerUc() {
        return hoursPerUc;
    }

    /**
     * Sets the value of the hoursPerUc property.
     * 
     */
    public void setHoursPerUc(double value) {
        this.hoursPerUc = value;
    }

    /**
     * Gets the value of the hoursSW property.
     * 
     */
    public double getHoursSW() {
        return hoursSW;
    }

    /**
     * Sets the value of the hoursSW property.
     * 
     */
    public void setHoursSW(double value) {
        this.hoursSW = value;
    }

    /**
     * Gets the value of the id property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getId() {
        return id;
    }

    /**
     * Sets the value of the id property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setId(String value) {
        this.id = value;
    }

    /**
     * Gets the value of the idParent property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getIdParent() {
        return idParent;
    }

    /**
     * Sets the value of the idParent property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setIdParent(String value) {
        this.idParent = value;
    }

    /**
     * Gets the value of the name property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getName() {
        return name;
    }

    /**
     * Sets the value of the name property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setName(String value) {
        this.name = value;
    }

    /**
     * Gets the value of the schneiderwinters property.
     * 
     */
    public double getSchneiderwinters() {
        return schneiderwinters;
    }

    /**
     * Sets the value of the schneiderwinters property.
     * 
     */
    public void setSchneiderwinters(double value) {
        this.schneiderwinters = value;
    }

    /**
     * Gets the value of the subCasesHours property.
     * 
     */
    public double getSubCasesHours() {
        return subCasesHours;
    }

    /**
     * Sets the value of the subCasesHours property.
     * 
     */
    public void setSubCasesHours(double value) {
        this.subCasesHours = value;
    }

    /**
     * Gets the value of the subCasesHoursSW property.
     * 
     */
    public double getSubCasesHoursSW() {
        return subCasesHoursSW;
    }

    /**
     * Sets the value of the subCasesHoursSW property.
     * 
     */
    public void setSubCasesHoursSW(double value) {
        this.subCasesHoursSW = value;
    }

    /**
     * Gets the value of the subUCP property.
     * 
     */
    public double getSubUCP() {
        return subUCP;
    }

    /**
     * Sets the value of the subUCP property.
     * 
     */
    public void setSubUCP(double value) {
        this.subUCP = value;
    }

    /**
     * Gets the value of the subUUCP property.
     * 
     */
    public int getSubUUCP() {
        return subUUCP;
    }

    /**
     * Sets the value of the subUUCP property.
     * 
     */
    public void setSubUUCP(int value) {
        this.subUUCP = value;
    }

    /**
     * Gets the value of the type property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getType() {
        return type;
    }

    /**
     * Sets the value of the type property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setType(String value) {
        this.type = value;
    }

    /**
     * Gets the value of the ucp property.
     * 
     */
    public double getUcp() {
        return ucp;
    }

    /**
     * Sets the value of the ucp property.
     * 
     */
    public void setUcp(double value) {
        this.ucp = value;
    }

}
